> For the complete documentation index, see [llms.txt](https://docs.spadnext.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spadnext.com/extending-and-apis/serial-connection/device-communication-flow/device-config-phase/device-input-configuration/device-input-switch.md).

# Device input SWITCH

`0,INPUT,<Index>,<TAG>,SWITCH[,<Inherit>[,<OPTIONS>]]`

### \<Inherit>

The following inherits are available for switches to control the behaviour and available events:

|              |                  |   |
| ------------ | ---------------- | - |
| SPAD\_SWITCH | an ON/OFF switch |   |
|              |                  |   |
|              |                  |   |

If no inherit is present, the switch will not provide any standard events. The events have to be defined separately in the options

### \<Options>

For customizing the switch UI see (CUSTOM UI).

Default images used:

` IMG_ON`` `` `*`= svg/switch_1.svg`*

![](/files/ZudBRGHd3MkDmULgzjSq)

`IMG_OFF`*`= svg/switch_0.svg`*

![](/files/yjpCwALlOAQvONqAXrqC)

For the SPAD.neXt standard UI of a switch the following options are supported:

|                 |                  |                                                                                                                      |
| --------------- | ---------------- | -------------------------------------------------------------------------------------------------------------------- |
| ROTATE=\<angle> | rotate switch-ui | <p>ROTATE=90 (create left to right switch)<br>ROTATE=180 (create switch with OFF-Position is up instead of down)</p> |
|                 |                  |                                                                                                                      |
|                 |                  |                                                                                                                      |

### Sending switch input updates

`8,<index>,<statevalue>;`

statevalue = 0 switched to OFF

statevalue = 1 switched to ON


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.spadnext.com/extending-and-apis/serial-connection/device-communication-flow/device-config-phase/device-input-configuration/device-input-switch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
